2018-12-18 23:45 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000012Branch 0.2.1-FINALFeature Requestpublic2016-11-23 10:24
Reporteruser13 
Assigned ToQuix0r 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformApache 2.2.9 - mod_php 5.2.6OSWindows Vista Ultimate x64 SP1OS Version6001 SP1
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000012: CacheFehler
DescriptionIch habe heute mein lokalen Testmailer ein update auf die aktuellste Revision durchgeführt. Als erstes beim Anzeigen sind wieder mal FehlerMeldungen vom CacheSystem gemeldet worden. Nach einem Seiten-Reload waren die auch wieder weg.

Währe es nicht sinvoll, dass wenn ein Update durchgeführt wird oder eine neue Erweiterung installiert bzw. aktiviert wird, dass der Cache generell neu geschreieben wird?

Vorteile: 1. Weniger Fehlermeldungen bei updates vom CacheSystem.
2. Die Script-User haben daturch (villeicht ein mehr subjektes) Gefühl, dass das Script weniger "Bugs" hat und dadurch das MailtauschScript an Wert gewinnt.

Als nächste Anregung würde ich vorschlagen, dass bei Fehler im Cache-System grundsätzlich immer der Cache gelöscht wird (wird offensichtlich bereits gemacht), aber keine öffentliche Fehlermeldung, zumindest bei der 1. CacheLöschung, gemacht wird.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000015

Quix0r (administrator)

Der Cache wird eigentlich immer beim Updaten von Erweiterungen gelöscht. Ich kann mal schauen, dass ich das Cache-System umschreiben kann und dass die Cache-Fehler mehr geloggt werden und weniger als fatale Fehler ausgegeben werden.

DEBUG_LOG() wäre hier die "leisere" Funktion. :)

~0000016

Quix0r (administrator)

Wenn nun eine zu löschende Cache-Datei nicht mehr existiert, sollte nun keine Fehlermeldung mehr kommen. Ich hoffe, dass jetzt weniger Fehlermeldungen kommen. Ich kann das nur schwer reproduzieren (du kannst mir mit Sicherheit auch weniger Infos geben, da dies zu sporalisch auftritt).

~0000031

Quix0r (administrator)

Bitte bei Tickets mit "Feedback" mir sagen, ob es bei dir klappt. :)

~0000032

user13

Bis jetzt keine Anzeige irgendeiner CacheMeldung. Werde mit aber wenns wiedermal auftritt melden.

~0000040

Quix0r (administrator)

OKay, ich kann das Ticket dann wieder neu öffnen.

~0000749

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2008-12-22 09:48 user13 New Issue
2008-12-22 10:53 Quix0r Note Added: 0000015
2008-12-22 10:53 Quix0r Status new => assigned
2008-12-22 10:53 Quix0r Assigned To => Quix0r
2008-12-22 11:00 Quix0r Note Added: 0000016
2008-12-22 11:02 Quix0r Fixed in Version => 0.2.1-FINAL
2008-12-22 11:02 Quix0r Target Version => 0.2.1-FINAL
2008-12-22 13:35 Quix0r Note Added: 0000031
2008-12-22 13:35 Quix0r Status assigned => feedback
2008-12-22 13:53 user13 Note Added: 0000032
2008-12-22 14:01 Quix0r Resolution open => fixed
2008-12-22 19:53 Quix0r Note Added: 0000040
2008-12-22 19:53 Quix0r Status feedback => resolved
2009-11-25 21:55 Quix0r Product Version 0.2.1-FINAL =>
2009-11-25 21:55 Quix0r Build Rev 691 => SVN-691
2010-05-28 16:59 Quix0r Product Version => 0.2.1-FINAL
2016-11-23 10:24 Quix0r Note Added: 0000749
2016-11-23 10:24 Quix0r Status resolved => closed
+Issue History